<!DOCTYPE html>
<html>
<head>
	<title>canvas绘制矩形</title>
	<meta http-equiv="content-type" content="text/html;charset=utf-8">
</head>
<body>
	<canvas id="drawing" width="200" height="200">do some thing</canvas>
	<!-- js -->
	<script type="text/javascript">
		var drawing=document.getElementById('drawing');
		if(drawing.getContext){
			var context=drawing.getContext("2d");
			context.fillStyle="#00f";
			context.fillRect(10,10,50,50);
			// context.fillStyle="#00f";
			// context.fillRect(30,30,50,50);
			var imgURI=drawing.toDataURL("image/png");
			// var image=document.createElement("img");
			// image.src=imgURI;
			// document.body.appendChild(image);
		}
	</script>
</body>
</html>